Author Topic: _3dclip  (Read 2454 times)

0 Members and 1 Guest are viewing this topic.

Bred

  • Guest
_3dclip
« on: July 13, 2007, 03:49:25 AM »
Hello,
In lisp, when modify the Adjust Clipping Planes (_3dclip) ?
(no entmod...)
Thanks.

Adesu

  • Guest
Re: _3dclip
« Reply #1 on: July 15, 2007, 10:47:18 PM »
Hi Bred,
Have you a code, if you have post here your code.
your question rather confuse for others member.

Hello,
In lisp, when modify the Adjust Clipping Planes (_3dclip) ?
(no entmod...)
Thanks.

Bred

  • Guest
Re: _3dclip
« Reply #2 on: July 16, 2007, 03:43:47 AM »
Thanks
Excuse-me but my english is very bad....
The dxf code 42 and 43 aren't not modifiable whith entmake or entmode...
And I do not have anything to find in vla-object property.

How to modify the "Adjust Clipping Planes" in lisp ?

thanks.

Adesu

  • Guest
Re: _3dclip
« Reply #3 on: July 16, 2007, 04:04:52 AM »
Hi Bred,
Don't worry about your English, my ability I thinks same with you.
Post here your code, I can not find code 42 and 43, I wait it.

Thanks
Excuse-me but my english is very bad....
The dxf code 42 and 43 aren't not modifiable whith entmake or entmode...
And I do not have anything to find in vla-object property.

How to modify the "Adjust Clipping Planes" in lisp ?

thanks.

Bred

  • Guest
Re: _3dclip
« Reply #4 on: July 16, 2007, 07:56:31 AM »
(sorry : not dxf code 42 and 43, but 43 and 44 !....)
my code no good
(because in help Autocad :
Quote
You cannot use the entmod function to modify a viewport entity.
Code: [Select]
(defun c:test ()
(if (= (getvar "TILEMODE") 1)
(princ "\n ** no object space **")

;Select viewport
(progn
(if (= (getvar "CVPORT") 1)
(progn
(while
(not (and (setq sel (car (entsel "\n Select viewport :")))
(or (equal (cdr (assoc 0 (entget sel))) "VIEWPORT")
(equal (cdr (assoc 0 (entget (cdr (assoc 330 (entget sel)))))) "VIEWPORT")
)
)
)
)
(setq sel (entget sel)
id_fenetre (cdr (assoc 69 sel)))

(if (= id_fenetre nil)
(progn
(setq sel (entget (cdr (assoc 330 sel)))
id_fenetre (cdr (assoc 69 sel)))
)
)

(command "_.MSPACE")
(setvar "CVPORT" id_fenetre)
)
)
)
)

(command "_.PSPACE")

(setq dxf-AV-43 (cdr (assoc 43 sel)))
(setq dxf-AR-44 (cdr (assoc 44 sel)))

(setq dec (getreal "shift :"))

(setq sel (subst (cons 43 (+ dxf-AV-43 dec)) (assoc 43 sel) sel)
sel (subst (cons 44 (+ dxf-AR-44 dec)) (assoc 44 sel) sel))

(entmod sel)

(princ)

)